Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.exception
Class ParameterDeselectedError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.udo.cs.miningmart.exception.MiningMartException
                  edu.udo.cs.miningmart.exception.M4Exception
                      edu.udo.cs.miningmart.exception.ParameterError
                          edu.udo.cs.miningmart.exception.ParameterDeselectedError

All Implemented Interfaces:
  java.io.Serializable

    public class ParameterDeselectedError

extends ParameterError

This Exception is thrown if, after removing Features deselected by automatic FeatureConstruction, constraints on the number of parameters are violated.

Version:
  $Id: ParameterDeselectedError.java,v 1.4 2006/09/27 15:00:00 euler Exp $
Author:
  Martin Scholz
See Also:
  `edu.udo.cs.miningmart.m4.core.exception.ParameterError`, Serialized Form

Constructor Summary
`ParameterDeselectedError(java.lang.String errorMsg, OpParam op)` Constructor.
`ParameterDeselectedError(java.lang.String errorMsg, OpParam op, ParameterDeselectedError lastEx)` To concatenate `ParameterDeselectedError`s, plaese use this constructor.

Method Summary
`java.util.Collection` | `getViolatedOpParams()` Getter method.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterDeselectedError

    public ParameterDeselectedError(java.lang.String errorMsg,
                                    OpParam op)

  Constructor.

  Parameters:
    `errorMsg` - a message for the user
    `op` - the `OpParam` object violated

### ParameterDeselectedError

    public ParameterDeselectedError(java.lang.String errorMsg,
                                    OpParam op,
                                    ParameterDeselectedError lastEx)

  To concatenate `ParameterDeselectedError`s, plaese use this constructor.

  Parameters:
    `errorMsg` - a message just for the current violation to be added to the last message(s)
    `op` - the `OpParam` object currently signalled to be violated
    `lastEx` - the last `ParameterDeselectedError` thrown for the same operator application

Method Detail

### getViolatedOpParams

    public java.util.Collection getViolatedOpParams()

  Getter method.

  Returns:
    a `Collection` of `OpParam` objects, which were found to be violated after removing deselected features.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005